2017-12-17 16:35 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001826openmediavaultBugpublic2017-09-30 15:39
ReporterHuberer 
Assigned Tovotdev 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformIntel Haswell SystemOSDebian StretchOS Version4.12 Kernel
Product VersionArrakis (4.x) 
Target VersionFixed in VersionArrakis (4.x) 
Summary0001826: Can't edit physical disk properties under OMV v4 and Debian Stretch with 4.12 kernel
DescriptionHello,

under Debian Stretch, Kernel 4.12, with OMV v4 it's not possible to edit the physical disk properties. Under OMV v3 with Debian Jessie and backport kernel everything worked.
I use to use:

Advanced power Management: 127 - Intermediate power usage with standby
AAM: disabled
Spindown time: 30 minutes
Write cache: enabled

When I press the "save"-button and afterwards the apply-button an error shows up:

Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C; systemctl reload 'hdparm' 2>&1' with exit code '5': Failed to reload hdparm.service: Unit hdparm.service not found.

I've to revert the settings otherwise the error comes up every time.
Steps To ReproduceLog into OMV v4 => Storage/Physical disks (left side) => Edit a drive => enter the necessary settings and save + apply
Additional InformationI've posted this problem in the OMV-Forum and there I got the answer that it must be a Debian Stretch issue.
TagsNo tags attached.
Product buildDebian 9, 4.12 kernel, OMV v4
Attached Files

-Relationships
+Relationships

-Notes

~0004951

votdev (administrator)

The SysV init script has been removed in Debian Stretch. According to mailing lists and howtos there are 2 ways to solve this.

- Write a systemd unit file (bad)
- Write UDEV rules (good)

http://www.stankowic-development.net/?p=6248
https://wiki.archlinux.org/index.php/hdparm
https://lists.freedesktop.org/archives/systemd-devel/2012-June/005595.html

Any help (e.g. code cotributions via git pull requests) to fix this issue is welcome because i'm very busy with OMV5.

~0004952

votdev (administrator)

After checking the hdparm package sources i found out that everything is already done by the Debian package. It seems that i simply need to fix the OMV sources.

~0004953

votdev (administrator)

Fixed in openmediavault 4.0.6, see https://github.com/openmediavault/openmediavault/commit/c5aaeb2056d29dabb2d49f0ddf6de28e0582c494.
+Notes

-Issue History
Date Modified Username Field Change
2017-09-30 10:27 Huberer New Issue
2017-09-30 10:27 Huberer Status new => assigned
2017-09-30 10:27 Huberer Assigned To => votdev
2017-09-30 10:27 Huberer File Added: Bildschirmfoto 2017-09-29 um 20.18.51.png
2017-09-30 15:24 votdev Note Added: 0004951
2017-09-30 15:28 votdev Note Added: 0004952
2017-09-30 15:39 votdev Status assigned => resolved
2017-09-30 15:39 votdev Resolution open => fixed
2017-09-30 15:39 votdev Fixed in Version => Arrakis (4.x)
2017-09-30 15:39 votdev Note Added: 0004953
+Issue History